Phison MPALL – 0x0027 IDBLK file Version check error

If, when using Phison’s production tool (MPALL) you encounter the following error:

IDBLK file Version check error 0x0027

this is what you have to do:

1. check your IDBLK_TIMING.dll’s version

 1

2. add your version to your configuration

2.a manually: add a “[Customize Info]” section (if you don’t already have it) and on a new line: IDBlkLibrary_Version=X.X.X.X

2a

2.b using the configuration tool

i. choose advanced setting

2b1

ii. go to “other setting” and add “[Customize Info] IDBlkLibrary_Version=1.2.16.0″ to “Special setting”

2b2

Update: Sergio Silveira recomends using a new MPALL file: Phison MPALL v3.63.0C-DL17.rar (see comment)

3 thoughts on “Phison MPALL – 0x0027 IDBLK file Version check error

  1. THANK YOU! :)
    I see you have some additional settings compared to default (SetSecureHardDisk, Mapping , set1667), what are they for exactly?

    • Wow, you rock! Your version from your Dropbox worked for me on 16GB stick but the other version of MPALL wouldn’t. Thank you.

Leave a Reply

Your email address will not be published. Required fields are marked *

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>